XMLWriter::writeDTD
XMLWriter::writeElement
XMLWriter Functions
PHP Manual

# XMLWriter::writeElementNS

# xmlwriter_write_element_ns

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::writeElementNS -- xmlwriter_write_element_ns — Write full namespaced element tag

### Description

Object oriented style

bool XMLWriter::writeElementNS ( string `$prefix` , string `$name` , string `$uri` [, string `$content` ] )

Procedural style

bool xmlwriter_write_element_ns ( resource `$xmlwriter` , string `$prefix` , string `$name` , string `$uri` [, string `$content` ] )

Writes a full namespaced element tag.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`prefix`

  The namespace prefix.

`name`

  The element name.

`uri`

  The namespace URI.

`content`

  The element contents.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.2.3 | The `content` parameter became optional.

### See Also

- XMLWriter::startElementNS() - Create start namespaced element tag
- XMLWriter::endElement() - End current element
- XMLWriter::writeElement() - Write full element tag

XMLWriter::writeDTD
XMLWriter::writeElement
XMLWriter Functions
PHP Manual